[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TIPC_Perm

Record used in all IPC systems to specify the permissions.

## Declaration

Source position: ipc.pp line 174

`type TIPC_Perm = record`
`key: TKey;` |  | key used to create resource
`uid: kernel_uid_t;` |  | Owner user ID
`gid: kernel_gid_t;` |  | Owner group id
`cuid: kernel_uid_t;` |  | Creator user ID
`cgid: kernel_gid_t;` |  | Creator group ID
`mode: kernel_mode_t;` |  | Creation Mode
`__pad1: array [1..4-sizeof(mode_t)] of Byte;` |  | Alignment padding
`seq: cushort;` |  | ?
`__pad2: cushort;` |  | Alignment padding
`__unused1: culong;` |  | Reserved
`__unused2: culong;` |  | Reserved
`end;`

## Description

TIPC_Perm is used in all IPC systems to specify the permissions. It should never be used directly.